#
# spec file for package pam_kwallet
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pam_kwallet
Version:        5.7.1
Release:        4.6.1
Summary:        A PAM Module for kwallet signing
License:        LGPL-2.1 and GPL-2.0+ and GPL-3.0
Group:          System/GUI/KDE
Url:            http://www.kde.org/
Source:         kwallet-pam-%{version}.tar.xz
# PATCH-FIX-UPSTREAM
Patch1:         0001-Move-salt-creation-to-an-unprivileged-process.patch
Patch2:         0002-Move-socket-creation-to-unprivileged-codepath.patch
Patch3:         0001-Avoid-giving-an-stderr-to-kwallet.patch
BuildRequires:  extra-cmake-modules >= 1.2.0
BuildRequires:  kf5-filesystem
BuildRequires:  libgcrypt-devel >= 1.5.0
BuildRequires:  pam-devel
BuildRequires:  socat
BuildRequires:  xz
Requires:       kwalletd5
Requires:       socat

%description
This PAM module allows you to automatically open your kwallet
when signing into your account.

%prep
%setup -q -n kwallet-pam-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
  %cmake_kf5 -d build -- -DLIBEXEC_INSTALL_DIR=%{_kf5_libexecdir} -DCMAKE_INSTALL_PREFIX=/
  %make_jobs

%install
  %kf5_makeinstall -C build

%files
%defattr(-,root,root)
%doc COPYING*
%config %{_kf5_configdir}/autostart/pam_kwallet_init.desktop
%{_kf5_libexecdir}/pam_kwallet_init
/%{_lib}/security/pam_kwallet5.so

%changelog
* Sat May  5 2018 fabian@ritter-vogt.de
- Add patch to address a regression introduced by previous fixes:
  * 0001-Avoid-giving-an-stderr-to-kwallet.patch
* Thu May  3 2018 fabian@ritter-vogt.de
- Add patches to fix boo#1090863/CVE-2018-10380:
  * 0001-Move-salt-creation-to-an-unprivileged-process.patch
  * 0002-Move-socket-creation-to-unprivileged-codepath.patch
* Wed Jul 13 2016 hrvoje.senjan@gmail.com
- Update to 5.7.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.1.php
* Tue May 17 2016 toddrme2178@gmail.com
- Remove unneeded call to ldconfig
* Mon May 16 2016 toddrme2178@gmail.com
- Update to 5.6.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.4.php
- Update to 5.6.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.3.php
- Fix dependencies.
* Fri Apr  8 2016 toddrme2178@gmail.com
- Initial version
